JUCE: ApplicationCommandManagerListener Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ApplicationCommandManagerListener Class Referenceabstract
juce_gui_basics » commands

A listener that receives callbacks from an ApplicationCommandManager when commands are invoked or the command list is changed. More...

`#include <juce_ApplicationCommandManager.h>`

Inheritance diagram for ApplicationCommandManagerListener:

## Public Member Functions
virtual | ~ApplicationCommandManagerListener ()=default
| Destructor.
virtual void | applicationCommandInvoked (const ApplicationCommandTarget::InvocationInfo &)=0
| Called when an app command is about to be invoked.
virtual void | applicationCommandListChanged ()=0
| Called when commands are registered or deregistered from the command manager, or when commands are made active or inactive.

## Detailed Description

A listener that receives callbacks from an ApplicationCommandManager when commands are invoked or the command list is changed.

See also
  ApplicationCommandManager::addListener, ApplicationCommandManager::removeListener

## Constructor & Destructor Documentation

## ◆ ~ApplicationCommandManagerListener()

virtual ApplicationCommandManagerListener::~ApplicationCommandManagerListener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ applicationCommandInvoked()

virtual void ApplicationCommandManagerListener::applicationCommandInvoked | ( | const ApplicationCommandTarget::InvocationInfo & |  | ) |
| pure virtual

Called when an app command is about to be invoked.

Implemented in MenuBarModel.

## ◆ applicationCommandListChanged()

virtual void ApplicationCommandManagerListener::applicationCommandListChanged | ( |  | ) |
| pure virtual

Called when commands are registered or deregistered from the command manager, or when commands are made active or inactive.

Note that if you're using this to watch for changes to whether a command is disabled, you'll need to make sure that ApplicationCommandManager::commandStatusChanged() is called whenever the status of your command might have changed.

Implemented in MenuBarModel.

The documentation for this class was generated from the following file:

- juce_ApplicationCommandManager.h